Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0001502 [Piwigo] template feature N/A 2010.03.13 00:58 2010.04.29 21:57
Reporter plg View Status public  
Assigned To Pat
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 2.1.0RC1 Product Version
  Target Version 2.1.0RC1 Product Build
Summary 0001502: replace template/theme by theme only, we only keep 1 level
Description Based on Dotclear model, new organization for themes.

Read http://piwigo.org/forum/viewtopic.php?id=15778 [^]
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0003524)
svn (reporter)
2010.03.13 01:00

[Subversion] r5123 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: based on Dotclear model, P@t has reorganized the way Piwigo
manages template/theme in a simpler "theme only level" architecture. It
supports multiple level inheritance.
(0003525)
svn (reporter)
2010.03.13 01:23

[Subversion] r5124 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502
Remove automatic file creation for local-layout.css during install or upgrade.php.
Move icon/admin directory from default theme.
(0003526)
svn (reporter)
2010.03.13 02:19

[Subversion] r5125 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1502
Move mail images.
Change image path in mail-css files.
Remove local css file for NBM.
(0003527)
svn (reporter)
2010.03.13 03:14

[Subversion] r5126 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1502
Extend for templates now work properly.
Bound template as to be renamed in bound theme...
(0003528)
svn (reporter)
2010.03.13 13:39

[Subversion] r5128 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1502: Fix admin multi view plugin.
(0003529)
svn (reporter)
2010.03.13 17:57

[Subversion] r5129 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1502: merge multiple css files into theme.css in default theme.
(0003535)
svn (reporter)
2010.03.15 14:35

[Subversion] r5143 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1507: ability to install themes directly from piwigo.org/ext.

The theme manager backend for installation is the plugin manager backend,
because they are very close.

thanks to feature:1502, installing a theme and installing a plugin are very
similare operations. The only differences are the installation directory and
the main file to find in the archive.

This is only the very first step, the "add new theme" screen needs many
improvements, to begin with display style.
(0003539)
svn (reporter)
2010.03.17 01:55

[Subversion] r5154 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
Feature 1502: Avoid 500 error if parent theme is the theme itself.
(0003561)
svn (reporter)
2010.03.19 14:30

[Subversion] r5190 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: replace the theme.name by theme.id for theme.css load
(0003574)
svn (reporter)
2010.03.21 15:23

[Subversion] r5219 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: replace $theme.name by $theme.id in admin header.tpl
(0003592)
svn (reporter)
2010.03.22 11:58

[Subversion] r5253 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: bug fixed, the themes needs a name at installation time, or else
they can't be chosen in the user profile.
(0003609)
svn (reporter)
2010.03.24 02:36

[Subversion] r5306 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: bug corrected on guest setting page.
Remove $conf['default_theme'] from config file (useless).
Check if theme is still installed in pwg_get_themes.
(0003624)
svn (reporter)
2010.03.28 15:25

[Subversion] r5419 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: Wrong path corrected (to check themeconf.inc.php existence)
(0003641)
svn (reporter)
2010.03.28 22:29

[Subversion] r5434 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: In template extensions admin page, change "Bound template" by "Bound theme".
Template extensions are now attached to all themes if nothing is selected in "bound theme" column.
(0003645)
svn (reporter)
2010.03.29 15:30

[Subversion] r5446 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: Allow to have configuration page for each theme.css.
About string for theme has to be saved in language theme directory (about.html)
(0003647)
svn (reporter)
2010.03.29 17:14

[Subversion] r5448 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: Configuration menu is selected when theme configuration page is selected.
Remove useless global $page.
(0003651)
svn (reporter)
2010.03.29 21:23

[Subversion] r5454 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: Load local head after theme.css.
(0003807)
svn (reporter)
2010.04.28 12:45

[Subversion] r5981 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: migrate other template than yoga.
(0003816)
svn (reporter)
2010.04.29 14:45

[Subversion] r5991 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: Add $themeconf['load_parent_css'] parameter
(0003817)
svn (reporter)
2010.04.29 14:51

[Subversion] r5993 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: $themeconf['load_css_parent'] apply recursively
(0003822)
svn (reporter)
2010.04.29 21:57

[Subversion] r6006 by patdenice on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1502: Add $themeconf['load_parent_local_head'] parameter


- Issue History
Date Modified Username Field Change
2010.03.13 00:58 plg New Issue
2010.03.13 00:58 plg Status new => assigned
2010.03.13 00:58 plg Assigned To => Pat
2010.03.13 00:58 plg browser => any
2010.03.13 00:58 plg Web server => Apache 1.3.x
2010.03.13 01:00 svn Checkin
2010.03.13 01:00 svn Note Added: 0003524
2010.03.13 01:23 svn Checkin
2010.03.13 01:23 svn Note Added: 0003525
2010.03.13 02:19 svn Checkin
2010.03.13 02:19 svn Note Added: 0003526
2010.03.13 03:14 svn Checkin
2010.03.13 03:14 svn Note Added: 0003527
2010.03.13 13:39 svn Checkin
2010.03.13 13:39 svn Note Added: 0003528
2010.03.13 17:57 svn Checkin
2010.03.13 17:57 svn Note Added: 0003529
2010.03.15 14:35 svn Checkin
2010.03.15 14:35 svn Note Added: 0003535
2010.03.17 01:55 svn Checkin
2010.03.17 01:55 svn Note Added: 0003539
2010.03.19 14:30 svn Checkin
2010.03.19 14:30 svn Note Added: 0003561
2010.03.21 15:23 svn Checkin
2010.03.21 15:23 svn Note Added: 0003574
2010.03.22 11:58 svn Checkin
2010.03.22 11:58 svn Note Added: 0003592
2010.03.24 02:36 svn Checkin
2010.03.24 02:36 svn Note Added: 0003609
2010.03.28 15:25 svn Checkin
2010.03.28 15:25 svn Note Added: 0003624
2010.03.28 22:29 svn Checkin
2010.03.28 22:29 svn Note Added: 0003641
2010.03.29 15:30 svn Checkin
2010.03.29 15:30 svn Note Added: 0003645
2010.03.29 17:14 svn Checkin
2010.03.29 17:14 svn Note Added: 0003647
2010.03.29 21:23 svn Checkin
2010.03.29 21:23 svn Note Added: 0003651
2010.04.14 17:23 plg Status assigned => closed
2010.04.14 17:23 plg Resolution open => fixed
2010.04.14 17:23 plg Fixed in Version => 2.1.0RC1
2010.04.28 12:45 svn Checkin
2010.04.28 12:45 svn Note Added: 0003807
2010.04.29 14:45 svn Checkin
2010.04.29 14:45 svn Note Added: 0003816
2010.04.29 14:51 svn Checkin
2010.04.29 14:51 svn Note Added: 0003817
2010.04.29 21:57 svn Checkin
2010.04.29 21:57 svn Note Added: 0003822


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker